Bug 3578 - Strings around MAILIMAP_ERROR could use some whitespace fixes
Summary: Strings around MAILIMAP_ERROR could use some whitespace fixes
Status: RESOLVED FIXED
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Translations (show other bugs)
Version: 3.13.1
Hardware: PC All
: P3 enhancement
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2015-12-13 11:14 CET by Andreas Rönnquist
Modified: 2016-02-19 19:04 CET (History)
0 users

See Also:


Attachments
imap.c Diff (11.13 KB, patch)
2015-12-13 11:14 CET, Andreas Rönnquist
no flags Details | Diff
Better version of the patch (11.33 KB, patch)
2015-12-13 12:57 CET, Andreas Rönnquist
no flags Details | Diff
Remove endofline from translatable strings too (11.68 KB, patch)
2015-12-28 17:46 CET, Andreas Rönnquist
mones: applied+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Rönnquist 2015-12-13 11:14:05 CET
The switch-case in src/imap.c contains lots of translatable strings,

each case contains _("IMAP error on %s:") and then

the error messages starting the string with a space, like _(" connection refused\n")

Why not put that space into the end of the "IMAP error on %s: " string, instead of on each error message string.

This would make it one place where one can miss the space, instead of lots and lots.
Comment 1 Andreas Rönnquist 2015-12-13 11:14:42 CET
Created attachment 1616 [details]
imap.c Diff
Comment 2 Andreas Rönnquist 2015-12-13 12:57:43 CET
Created attachment 1617 [details]
Better version of the patch

Patch adding the space but not making it part of the translatable strings.
Comment 3 Ricardo Mones 2015-12-28 14:20:51 CET
(In reply to comment #2)
> Created attachment 1617 [details]
> Better version of the patch
> 
> Patch adding the space but not making it part of the translatable strings.

Now that you're at it: why is ' ' different from '\n' or vice versa? :-)
Comment 4 Andreas Rönnquist 2015-12-28 17:46:52 CET
Created attachment 1622 [details]
Remove endofline from translatable strings too
Comment 5 Andreas Rönnquist 2015-12-28 17:47:14 CET
Alright, another version attached.
Comment 6 users 2016-02-19 19:05:03 CET
Changes related to this bug have been committed.
Please check latest Git and update the bug accordingly.
You can also get the patch from:
http://git.claws-mail.org/

++ ChangeLog	2016-02-19 19:05:03.091026802 +0100
http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=934a788a3fa80bc958c9d555d93f376860ee55f5
Merge: bfc970d bb97461
Author: Colin Leroy <colin@colino.net>
Date:   Fri Feb 19 19:05:02 2016 +0100

    Merge branch 'master' of file:///home/git/claws

http://git.claws-mail.org/?p=claws.git;a=commitdiff;h=bb974610e7ce07776f00c3eaa6743a6d458ee94d
Author: Ricardo Mones <ricardo@mones.org>
Date:   Fri Feb 19 19:03:15 2016 +0100

    Fix bug #3578: Strings around MAILIMAP_ERROR…
    
    …could use some whitespace fixes. Patch by Andreas Rönnquist (thanks!).